import request from '@/utils/request'

// 查询县级区域列表
export function listXjxzq(query) {
  return request({
    url: '/business/xjxzq/list',
    method: 'get',
    params: query
  })
}

// 查询县级区域详细
export function getXjxzq(fid) {
  return request({
    url: '/business/xjxzq/' + fid,
    method: 'get'
  })
}

// 查询县级区域详细
export function getXjxzqDetail(fid) {
  return request({
    url: '/business/xjxzq/detail/' + fid,
    method: 'get'
  })
}


// 新增县级区域
export function addXjxzq(data) {
  return request({
    url: '/business/xjxzq/add',
    method: 'post',
    data: data
  })
}

// 修改县级区域
export function updateXjxzq(data) {
  return request({
    url: '/business/xjxzq/update',
    method: 'post',
    data: data
  })
}

// 删除县级区域
export function delXjxzq(fid) {
  return request({
    url: '/business/xjxzq/delete/' + fid,
    method: 'get'
  })
}

// 打印县级区域
export function printXjxzq(query) {
  return request({
    url: '/business/xjxzq/print',
    method: 'get',
    params: query
  })
}
